%define t1libversion 1.0.1

Summary: A PDF file viewer for the X Window System.
Name: xpdf
Version: 0.91
Release: 1
Copyright: GPL
Source0: ftp://ftp.foolabs.com/pub/xpdf/%{name}-%{version}.tgz
Source1: ftp://ftp.foolabs.com/pub/xpdf/t1lib-%{t1libversion}.tar.gz
Source3: xpdf.desktop
Source4: Xpdf
Patch0: xpdf-0.90-zapf.patch
Patch1: xpdf-0.90-fefe-diff2.gz
Patch2: xpdf-0.91-buildroot.patch
Patch3: xpdf-0.90-resource.patch
Patch4: xpdf-0.90-XOutputDev.patch
Patch5: xpdf-0.91-rgb.patch
Url: http://www.foolabs.com/xpdf/
Group: Applications/Publishing
Requires: urw-fonts
BuildPrereq: freetype-devel
BuildRoot: %{_tmppath}/%{name}-root

%description
Xpdf is an X Window System based viewer for Portable Document Format
(PDF) files.  PDF files are sometimes called Acrobat files, after
Adobe Acrobat (Adobe's PDF viewer).  Xpdf is a small and efficient
program which uses standard X fonts.

Install the xpdf package if you need a viewer for PDF files.

%prep
%setup -q -a 1 #-a 2
%patch0 -p1 -b .zapf
#%patch1 -p1 -b .fefe
%patch2 -p1 -b .buildroot
%patch3 -p1 -b .resource
#%patch4 -p1 -b .XOutputDev
%patch5 -p1 -b .rgb

%build
cd T1-%{t1libversion}
%configure --disable-shared --enable-static
make without_doc

cd ..
autoconf
%configure --with-gzip --enable-opi \
	--enable-japanese \
	--with-t1-library=`pwd`/T1-%{t1libversion}/lib/.libs \
	--with-t1-includes=`pwd`/T1-%{t1libversion}/lib \
	--with-freetype-library=/usr/lib \
	--with-freetype-includes=/usr/include
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults \
	$RPM_BUILD_ROOT/etc/X11/applnk/Applications

%makeinstall
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/*
%{_mandir}/man1/*
%config (missingok) %attr(0644,root,root) /etc/X11/applnk/Applications/xpdf.desktop
%config %attr(0644,root,root) /usr/X11R6/lib/X11/app-defaults/Xpdf

%changelog
* Thu Aug 17 2000 Than Ngo <than@redhat.com>
- update to 0.91 (Bug #9961 and many major bugs) 

* Sun Aug 06 2000 Than Ngo <than@redhat.de>
- added swedish translation (Bug 15312)

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 16 2000 Than Ngo <than@redhat.de>
- enable Japanese font support

* Fri Jun 16 2000 Preston Brown <pbrown@redhat.com>
- FHS paths
- better .desktop entry file

* Tue Jun 06 2000 Than Ngo <than@redhat.de>
- fix xpdf crashes on some data streams (Bug# 10154) (thanks Derek)
- add %%defattr
- use rpm macros

* Tue May 23 2000 Ngo Than <than@redhat.de>
- fix problem with loading fonts

* Sun May 21 2000 Ngo Than <than@redhat.de>
- put man pages in /usr/share/man/*
- update t1lib-1.0.1

* Mon May 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fixed URL

* Fri Feb 11 2000 Preston Brown <pbrown@redhat.com>
- build for inclusion in 6.2.

* Wed Feb 09 2000 Jakub Jelinek <jakub@redhat.com>
- include decryption patches

* Mon Feb 07 2000 Presto Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- upgrade to xpdf 0.90, include t1lib Type1 rasterizer
- fix zapfdingbats font mapping issue

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- converted wmconfig to desktop entry

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Nov 30 1998 Preston Brown <pbrown@redhat.com>
- updated to 0.80

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- patched to compile with new, stricter egcs

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.7a

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- added wmconfig
